#!/usr/bin/perl 



#ISA Server Firewall Packet Engine\TCP Established Connections
#ISA Server Firewall Service\Active Sessions
#ISA Server Firewall Service\Active TCP Connections
#ISA Server Web Proxy\Active Web Sessions
#ISA Server Web Proxy\Maximum Users
#ISA Server Web Proxy\Active Web Sessions

# Replace '/usr/local/nagios/libexec/check_nt' with the localtion where your check_nt binary is located 

$TCPEstablished      = `/usr/local/nagios/libexec/check_nt -H $ARGV[0] -p 12489 -v COUNTER -l "\\ISA Server Firewall Packet Engine\\TCP Established Connections"`; 
chomp $TCPEstablished; 
$ActiveSessions       = `/usr/local/nagios/libexec/check_nt -H $ARGV[0] -p 12489 -v COUNTER -l "\\ISA Server Firewall Service\\Active Sessions"`; 
chomp $ActiveSessions; 
$ActiveTCPConn      = `/usr/local/nagios/libexec/check_nt -H $ARGV[0] -p 12489 -v COUNTER -l "\\ISA Server Firewall Service\\Active TCP Connections"`; 
chomp $ActiveTCPConn; 
$ActiveWebSess       = `/usr/local/nagios/libexec/check_nt -H $ARGV[0] -p 12489 -v COUNTER -l "\\ISA Server Web Proxy\\Active Web Sessions"`; 
chomp $ActiveWebSess; 
$MaximumUsers        = `/usr/local/nagios/libexec/check_nt -H $ARGV[0] -p 12489 -v COUNTER -l "\\ISA Server Web Proxy\\Maximum Users"`; 
chomp $MaximumUsers; 


print" TCPEstablished:"   . $TCPEstablished . 
     " ActiveSessions:"   . $ActiveSessions . 
     " ActiveTCPConn:"  . $ActiveTCPConn .
     " ActiveWebSess:"  . $ActiveWebSess .
     " MaximumUsers:"  . $MaximumUsers .
     "\n";
